Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

relatively new to servers, have just installed apache and mysql-server and php on centos 6. I keep getting this error when trying to install a software called Magento however:

PHP Extensions "pdo_mysql" must be loaded.

Anyone have any clue what I should do to fix this? You can see how the current setup is here:

208.111.35.80/test.php

Thanks for any help.

share|improve this question
    
What linux distro are you using? –  Mike May 30 '12 at 12:25
    
vps provider just calls it centos 6 but uname -a shows 'Linux baobei.sanjose.com 2.6.35.4-cloud #6 SMP Thu Jun 30 05:29:07 PDT 2011 i686 i686 i386 GNU/Linux' –  zhongguohuaa May 30 '12 at 12:29

2 Answers 2

up vote 2 down vote accepted

You need the PHP MySQL connector extension.

If using RHEL/CentOS or derivative the fix would be yum install php-mysql.

share|improve this answer
    
thanks that fixed it –  zhongguohuaa May 30 '12 at 12:34

Just install php-mysql

yum install php-mysql

Then restart apache

service httpd restart
share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.